Skip to main content
POST
/
actions
/
linkedin-extract-people-post-activity
/
run
/
live
Run linkedin-extract-people-post-activity action live
curl --request POST \
  --url https://api.edges.run/v1/actions/linkedin-extract-people-post-activity/run/live \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "input": {
    "linkedin_profile_url": "<string>",
    "custom_data": {}
  },
  "parameters": {},
  "identity_ids": [
    "44444444-4444-4444-4444-444444444444"
  ],
  "identity_mode": "direct"
}
'
[
  {
    "comment_count": 123,
    "reaction_count": 123,
    "repost_count": 123,
    "linkedin_post_id": "<string>",
    "linkedin_post_url": "<string>",
    "published_date": "2023-12-25",
    "content_text": "<string>",
    "linkedin_post_type": "original",
    "linkedin_activity_id": "<string>",
    "author": {
      "firstname": "<string>",
      "lastname": "<string>",
      "linkedin_profile_handle": "<string>",
      "linkedin_profile_id": 123,
      "sales_navigator_profile_id": "<string>",
      "linkedin_profile_url": "<string>"
    },
    "source_post": {
      "linkedin_post_id": "<string>",
      "linkedin_post_url": "<string>",
      "content_text": "<string>",
      "author": {
        "linkedin_profile_id": 123,
        "firstname": "<string>",
        "lastname": "<string>",
        "linkedin_profile_handle": "<string>",
        "sales_navigator_profile_id": "<string>",
        "linkedin_profile_url": "<string>"
      }
    },
    "activity_author": {
      "author": {
        "linkedin_profile_id": 123,
        "firstname": "<string>",
        "lastname": "<string>",
        "linkedin_profile_handle": "<string>",
        "sales_navigator_profile_id": "<string>",
        "linkedin_profile_url": "<string>"
      }
    }
  }
]
To run LinkedIn actions, you must first create an identity and connect a LinkedIn account, either using our Chrome Extension, username/password login, or Managed Accounts for a hassle-free setup.
X-Pagination-Next and X-Pagination-Previous headers may be included in the response to provide full URLs for the next or previous pages. When present, always prefer using these headers over manually constructing pagination URLs.

Understanding Author Fields

The response includes three different author-related fields that help you understand the post structure:

activity_author

The person who performs the activity (e.g., the person who reshared, commented, or reacted). For original posts, this is the same as author. For reshares, this is the person who shared the content.

author

The author of the first-level post (the visible post you see directly). This is the person or company whose post appears in the activity feed.

source_post

Contains information about the source post (2nd level) when the visible post is a reshare. This object includes:
  • author: The author of the source post that was reshared
  • linkedin_post_id: The source post’s ID
  • linkedin_post_url: The source post’s URL
  • content_text: The source post’s content
Note: source_post returns null if there is no 2nd level post (i.e., the visible post is an source post, not a reshare).

Example Structure

For an original post:
  • author → Author of the post
  • activity_author → Same as author (they created the post)
  • source_postnull (no source post to reference)
For a reshare without comment:
  • author → Author of the reshared post
  • activity_author → Person who performed the reshare activity
  • source_post.authornull (no source post to reference)
For a reshare with comment:
  • author → Author of the post, same as the activity_author
  • activity_author → Person who performed the reshare activity
  • source_post.author → Author of the reshared post
For a reshare without comment of a post sharing another post:
  • author → Author of the reshared post (first level)
  • activity_author → Person who performed the reshare
  • source_post.author → Author of the source post shared by the first level (second level)

Authorizations

X-API-Key
string
header
required

Query Parameters

cursor
string

Cursor value obtained from the X-Pagination-Next response header of a previous request, used to continue pagination. Cursors expire after 24 hours. If a cursor has expired or is invalid, pagination must be restarted from the beginning.

page_size
integer
default:20

Maximum number of results per page (read-only; defined by the endpoint, actual count may be lower in some cases like throttling or internal limits).

Required range: 20 <= x <= 20

Body

application/json
input
object
required
parameters
object
identity_ids
string<uuid>[] | null

An array of Identity UUIDs linked to identities (e.g. LinkedIn) used to execute the Action. You must provide at least one valid UID with access to the integration. Do not use account_uid values — only user_uid is supported.

Example:
["44444444-4444-4444-4444-444444444444"]
identity_mode
enum<string> | null
default:direct

If "auto", the Action will use any identities from the current workspace (unless you have provided a list of identity_ids). "managed" will use the Edges pool of identities for an extra credit cost

Available options:
direct,
auto,
managed

Response

Successful response

comment_count
integer
reaction_count
integer
repost_count
integer
linkedin_post_id
string
linkedin_post_url
string<uri>
published_date
string<date>
content_text
string
linkedin_post_type
enum<string>
Available options:
original,
reshare
linkedin_activity_id
string

The unique identifier for the LinkedIn activity. If the activity is not a post, the ID is different of the linkedin_post_id.

author
object

Author of the post content currently displayed in the activity feed. This is the person that created the visible post at this level of the activity. If source_post is present, this post shares the content of source_post.

source_post
object

Previous post referenced by the visible post in the activity feed. This represents the immediate parent post in the sharing chain. If the visible post does not reference another post, this field is null.

activity_author
object

Owner of the LinkedIn activity feed being analyzed. This represents the person whose "Recent activity" timeline is queried, regardless of whether they authored or reshared the post.